/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-14 15:32:06 UTC)
 * on 2013-08-19 at 19:03:20 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.adsense.model;

/**
 * Model definition for AdUnits.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the AdSense Management API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AdUnits extends com.google.api.client.json.GenericJson {

  /**
   * ETag of this response for caching purposes.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String etag;

  /**
   * The ad units returned in this list response.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<AdUnit> items;

  /**
   * Kind of list this is, in this case adsense#adUnits.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Continuation token used to page through ad units. To retrieve the next page of results, set the
   * next request's "pageToken" value to this.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String nextPageToken;

  /**
   * ETag of this response for caching purposes.
   * @return value or {@code null} for none
   */
  public java.lang.String getEtag() {
    return etag;
  }

  /**
   * ETag of this response for caching purposes.
   * @param etag etag or {@code null} for none
   */
  public AdUnits setEtag(java.lang.String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The ad units returned in this list response.
   * @return value or {@code null} for none
   */
  public java.util.List<AdUnit> getItems() {
    return items;
  }

  /**
   * The ad units returned in this list response.
   * @param items items or {@code null} for none
   */
  public AdUnits setItems(java.util.List<AdUnit> items) {
    this.items = items;
    return this;
  }

  /**
   * Kind of list this is, in this case adsense#adUnits.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Kind of list this is, in this case adsense#adUnits.
   * @param kind kind or {@code null} for none
   */
  public AdUnits setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Continuation token used to page through ad units. To retrieve the next page of results, set the
   * next request's "pageToken" value to this.
   * @return value or {@code null} for none
   */
  public java.lang.String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Continuation token used to page through ad units. To retrieve the next page of results, set the
   * next request's "pageToken" value to this.
   * @param nextPageToken nextPageToken or {@code null} for none
   */
  public AdUnits setNextPageToken(java.lang.String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  @Override
  public AdUnits set(String fieldName, Object value) {
    return (AdUnits) super.set(fieldName, value);
  }

  @Override
  public AdUnits clone() {
    return (AdUnits) super.clone();
  }

}
